Subject: bug#36110: find-dired not sorted on any field nor provides a way

From: Juri Linkov <[email-masked]>
Date: Fri, 14 Jun 2019 00:30:05 +0300

>>> Long ago I customized find-ls-option to this value
>>>
>>>   (setq find-ls-option '("-exec ls -ld {} \\;" . "-ld"))
>>>
>>> and forgot about such problems because this value produces
>>> the same output as Dired.
>>
>> Same here, although with this (minor) difference:
>>
>> ("-exec ls -ld {} \";\"" . "-ld")
>>
>> Dunno where I got that or when I customized the value to it.
>
> That's because nobody documented it in (info "(emacs) Dired and Find") !
>
> So somebody please document it, else who likes going around with their
> find-dired in "ls -U" order? What sense would that make?

The following patch documents it:

diff --git a/doc/emacs/dired.texi b/doc/emacs/dired.texi
index 9f454ea2ad..2befcf1bbd 100644
--- a/doc/emacs/dired.texi
+++ b/doc/emacs/dired.texi
@@ -1340,7 +1340,9 @@ Dired and Find
   The format of listing produced by these commands is controlled by
 the variable @code{find-ls-option}.  This is a pair of options; the
 first specifying how to call @command{find} to produce the file listing,
-and the second telling Dired to parse the output.
+and the second telling Dired to parse the output.  To sort file names
+lexicographically, you can customize @code{find-ls-option} to the value
+@code{'("-exec ls -ld @{@} +" . "-ld")}

 @findex locate
 @findex locate-with-filter